commit:     09061ee3f23b558c92f1b99969c9f2325398d2a7
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  1 11:22:59 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun  1 11:22:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09061ee3

dev-python/pycxx: add 7.1.5

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/pycxx/Manifest           |  1 +
 dev-python/pycxx/pycxx-7.1.5.ebuild | 35 +++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/pycxx/Manifest b/dev-python/pycxx/Manifest
index f483a5224d9..3dd4e917655 100644
--- a/dev-python/pycxx/Manifest
+++ b/dev-python/pycxx/Manifest
@@ -1 +1,2 @@
 DIST pycxx-7.1.2.tar.gz 150865 BLAKE2B 
bbf78d88ca13fafee1239c354167b56cef2f1d56d20b0fc81d9a5d7d82096ab5d6a88802f411719cc490179314f87ef89b1e53c2b8a3a784566f9ff9d16d7cc8
 SHA512 
67f8d8d1ec6ce63c39695cd56c3276767d5cb4b6cc2fcf7daf5aea4bac11114f5a1fa4784ecdb35be708859cf07fc88c8e9f00b7fc808169708fd0eef1056a63
+DIST pycxx-7.1.5.tar.gz 156343 BLAKE2B 
099de7f88c19ec86aea67b503e6fbdc0df66bbdd3bdc0ff7f8ce77425be9486e6abebed8548f9ac764688a85e62cda77d3832f460e5678b4c07b1c6d2123b257
 SHA512 
0f980298739886d0c05ddd5ee23ebb234014b8276d811e62dc5b0a738666c6a011ad3f4aeeb7b1b404d8bff87dddfc30f68eec9c6bd13d5f262a2f7c53e273be

diff --git a/dev-python/pycxx/pycxx-7.1.5.ebuild 
b/dev-python/pycxx/pycxx-7.1.5.ebuild
new file mode 100644
index 00000000000..24dbb09ec86
--- /dev/null
+++ b/dev-python/pycxx/pycxx-7.1.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=no
+inherit distutils-r1
+
+DESCRIPTION="Set of facilities to extend Python with C++"
+HOMEPAGE="http://cxx.sourceforge.net";
+SRC_URI="mirror://sourceforge/cxx/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-solaris"
+IUSE="doc examples"
+
+python_prepare_all() {
+       # Without this, pysvn fails.
+       # Src/Python3/cxxextensions.c: No such file or directory
+       sed -e "/^#include/s:Src/::" -i Src/*.{c,cxx} || die "sed failed"
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( Doc/. )
+       if use examples ; then
+               docinto examples
+               dodoc -r Demo/Python{2,3}/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to